import request from '@/utils/request'

// 查询消息
export function faultMessageList(query) {
  return request({
    url: '/enterprise/fault-message/faultMessageList',
    method: 'get',
    params: query
  })
}

// 查询未读消息
export function faultMessageOne() {
  return request({
    url: '/enterprise/fault-message/selectOne',
    method: 'post'
  })
}

// 查询已读消息
export function faultMessageTwo() {
  return request({
    url: '/enterprise/fault-message/selectTwo',
    method: 'post'
  })
}

// 修改阅读状态
export function updateTwo(faultMessageId) {
  return request({
    url: '/enterprise/fault-message/updateTwo/' + faultMessageId,
    method: 'post'
  })
}

// 删除消息
export function deleteMessageId(faultMessageId) {
  return request({
    url: '/enterprise/fault-message/deleteMessageId/' + faultMessageId,
    method: 'post'
  })
}

